!c Description: 
!c   Z $BJ}8~$N1?F0J}Dx<0$K$*$$$FD9$$;~4V%9%F%C%W$GI>2A$9$k9`$N7W;;(B
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

subroutine DiffuseZ(fs_VelX_B, sf_VelZ_B, sf_DiffuseZ_B)

  !--- $B%b%8%e!<%k$NFI$_9~$_(B
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use bcset,    only: sf_Bc
  use if_avr,   only: sf_avr_fs, sf_avr_ss
  use if_diff,  only: sf_dx_sf, sf_dz_sf
  use if_boundary
  
  !--- $B0EL[$N7?@k8@6X;_(B
  implicit none
  
  !--- $BF~=PNOJQ?t(B
  real(8), intent(in)     :: fs_VelX_B(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(in)     :: sf_VelZ_B(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(out)    :: sf_DiffuseZ_B(DimXMin:DimXMax, DimZMin:DimZMax)
  
  !--- $B3H;69`(B ($B8=:_$O(B 0.0 $B$H$9$k(B)
  sf_DiffuseZ_B = 0.0d0
  
  !--- $B6-3&>r7o(B
  call boundary(sf_Bc, sf_DiffuseZ_B)
  
end subroutine DiffuseZ
